<?php
include ("db/dbProduto.class.php");
include ("base/elemento.class.php");
include ("base/categoria.class.php");
include ("include/images/images_mod.class.php");
////include ("include/images.class.php");

class downloads extends elemento{
	

	function downloads() {
        $c= new categoria;
    }
	
	
	function guardar($id=0){
		
		$trata = new images_mod($this->req);
		$this->req['ficheiro'] = $trata->tratafile('ficheiro');
		
		$this->req['permatitulo']=generate_seo_titulo($this->req['titulo']);
		$this->req['permalink']=generate_seo_link_produtos($this->req['permatitulo'], $this->req['idCat']);
		
		parent::guardar($id);		
	}
	

	
	function editar($id=""){

        $db= new dbElemento;
		$linha=@$db->getLinha($this->tipo, $id);

        //$dados=$db->getListaCategorias("produtoMarca", "*", "nome", 1);
		//foreach ($dados as $l) $dadosSel[$l['id']]=$l['nome'];
		
		$linha['codigo']=$linha['id'];
		
		$f= new form($id, $linha, $this->req);
		$f->toolbars();
		$f->titulo("",1);

		$f->campoTexto("Titulo","titulo" );
		//$f->campoTexto("Preço (10.50)","preco" );
		//$f->campoImagem2("Imagem", "imagem",  180,405);
		//$f->campoAreaTexto("Descrição no destaque","minidescricao" );
		$f->campoFicheiro2("Ficha pdf PT", "ficheiro");
		//$f->campoHTML("Texto Extra","texto" );
		$f->campoSimNao("Activo", "activo", 0);
		

		$f->mostra();
	}
	
	
	function listar(){
     
		//$campos=array("Código"=>"id", "Nome"=>"nome", "Preço"=>"preco", "Ordem"=>"ordem");
        $campos=array("Código"=>"id", "Nome"=>"nome", "Ordem"=>"ordem");
        
        $db= new dbElemento;
        
        $dados=$db->getLista($this->tipo, $this->idCat, $campos , "ordem", 1 ,$this->req['offset'], $this->req['limit'], $this->req['procurar'], $this->req['filtro'] );
        $this->req['total']=$db->getTotal($this->tipo, $this->idCat, $this->req['procurar'], $this->req['filtro']);
                
        $f= new lista($campos, $dados, $this->req);
        
		$toolbar= new toolbar(); 
		$toolbar->botao_l("Novo");
		$toolbar->botao2_l("Mover");
		//$toolbar->botao2("Copiar");
		$toolbar->botao2_l("Apagar");
		$toolbar->ini();
		$toolbar->nav($this->req['offset'], $this->req['limit'], $this->req['total']);
		$toolbar->ini();
		$toolbar->procurar($this->req['procurar']);
		$toolbar->botao("procurar", 90);
		$toolbar->fim();
		
		$f->titulo();
		$f->cabecaSimples();
        $f->tabela(true, true, true);
		$f->mostra();
	}

}
?>
